Opening LabVIEW Code Written in Previous Version

Updated Apr 20, 2018

Reported In

Software

  • LabVIEW

Issue Details

I have LabVIEW code written in a version of LabVIEW that is older than the version I am currently using. Will I be able to open this code in my newer version of LabVIEW? 
 

Solution

In many cases, LabVIEW can open code written in previous versions of LabVIEW. See How to Upgrade or Revert a VI to a Different Version of LabVIEW for a compatibility chart showing which LabVIEW code can be opened in which LabVIEW development versions.

Additional Information

If the code uses functionality that has changed or been deprecated in the newer version, the code may show unexpected behavior or become unusable. The Upgrade and Compatibility Issues page of the LabVIEW manual includes information about which functionality may cause this behavior. The Upgrade and Compatibility Issues page from LabVIEW 2017 is included in the related links.

If you would like to open code written in a later version of LabVIEW, then you may need to go back to the original code and save it to a previous version it so it can be opened by an older version of LabVIEW.

WAS THIS ARTICLE HELPFUL?

Not Helpful